Get all add-ons - Fabric
Get all add-ons
cURL
curl --request GET \
--url 'https://api.fabric.inc/v3/addons?size=10&sort=-updatedAt' \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/addons?size=10&sort=-updatedAt"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/addons?size=10&sort=-updatedAt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/addons?size=10&sort=-updatedAt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/addons?size=10&sort=-updatedAt"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/addons?size=10&sort=-updatedAt")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/addons?size=10&sort=-updatedAt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Examples
200: Successful Response
{
"query": {
"size": 10,
"offset": 10,
"count": 50
},
"data": [
{
"id": 100004,
"name": "Tablet",
"currency": "USD",
"price": 458.87,
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"isDeleted": false,
"channelId": "12"
}
]
}
400: Bad Request
{
"type": "REQUEST_VALIDATION",
"message": "Size should be a valid number"
}
401: Unauthorized
{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}
500: Internal Server Error
{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
Authorization
- Authorization: Bearer authentication header of the form
Bearer <token>.
Headers
- x-fabric-tenant-id: String required to identify the tenant making the request.
Query Parameters
- size: Integer (1-100, default: 10).
- offset: Integer (default: 0).
- sort: String (default: -updatedAt).
Required Response
200 application/json: A paginated response of add-ons.